Bug 501 - rpcclient adddriver ignores dependentfiles
rpcclient adddriver ignores dependentfiles
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.0preX
All Linux
: P3 major
: 3.0.1
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-24 04:58 UTC by Daniel Jarboe
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments
cmd_spoolss.c:init_drv_info_3_members bugfix (489 bytes, patch)
2003-10-10 08:33 UTC, Daniel Jarboe
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Jarboe 2003-09-24 04:58:20 UTC
When doing the rpcclient adddriver as a "printer admin" user, only the 
Driver/Data/Config/Help files get moved into the appropriate subdirectory and 
associated with the driver, all of the Dependentfiles are ignored.  I get 
the "Printer Driver ________ successfully installed" message, but it's only 
partially installed.  We need to use the same drivers that clients are 
currently using as installed on a W2K print server.  This process should work, 
as outlined in chapter 18 "Classical Printing Support" of the Samba-HOWTO-
Collection for 3.0/Head.

samba-3.0.0-10rc4.3E as packaged by RedHat for taroon s/390... but the exact 
same problem happens with the 2.2.8a rebuilt samba rpm (that's just the one 
package).  So this may be s390 specific since it seems to work for non s390 
installations?  It's blocking our progress as some drivers don't work properly 
when added via the APW and will have to be added this way.

In the meantime, is there a work-around, perhaps by moving the files into 
the "2" subdirectory and manually editing whichever .tdb files necessary?  Is 
there documentation anywhere on how to do this?  That way I could at least make 
some forward progress for now.

=======================================
smb.conf:
=======================================
[global]
        workgroup = TCS_MAIN_DOM
        netbios name = LINBETA
        server string = Samba Server on LINBETA
        interfaces = eth0 127.0.0.1/24
        bind interfaces only = yes
        security = DOMAIN
        encrypt passwords = Yes
        password server = tcs_main_pdc
        username map = /etc/samba/smbusers
        log level = 1
        log file = /var/log/samba/%m.log
        mangling method = hash2
        preferred master = No
        domain master = No
        local master = No
        dns proxy = No
        wins server = tcs_main_pdc
        kernel oplocks = No
        winbind uid = 10000-20000
        winbind gid = 10000-20000
        winbind use default domain = yes
        winbind enum users = yes
        winbind enum groups = yes
        printer admin = jarboed, mcginnig
        printing = cups
        printcap name = cups
        blocking locks = No
        locking = No
        oplocks = No
        level2 oplocks = No
        guest account = nobody
        load printers = yes

[printers]
comment = All Printers
path = /var/spool/samba
public = yes
guest ok = yes
writable = no
printable = yes
printer admin = jarboed, mcginnig

[print$]
path = /etc/samba/drivers/
write list = jarboed, mcginnig


=======================================
On 3rc4 host, service smb stop, removed driver files, removed nt*.tdb and 
printing tdb's for a clean slate.  You can see the clean slate, driver-wise.
=======================================
# rpcclient -U jarboed LINBETA
Password:
rpcclient $> enumprinters
        flags:[0x800000]
        name:[\\linbeta\AFICIO_5_E]
        description:[\\linbeta\AFICIO_5_E,,Aficio PCL]
        comment:[Aficio PCL]

rpcclient $> enumdrivers
rpcclient $> quit

# ls
2             3
# ls 2

=======================================
The driver on the W2k server
=======================================
# rpcclient -U jarboed -c 'getdriver AFICIO_5_PS' PRINT-SERV3
Password:

[Windows 4.0]
Printer Driver Info 3:
        Version: [0]
        Driver Name: [RICOH Aficio 700 PS]
        Architecture: [Windows 4.0]
        Driver Path: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADOBEPS4.DRV]
        Datafile: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\RICNH703.PPD]
        Configfile: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADOBEPS4.DRV]
        Helpfile: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADOBEPS4.HLP]

        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\RICNH703.PPD]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\RICNH703.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\RICTI16.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADOBEPS4.DRV]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADOBEPS4.HLP]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\DEFPRTR2.PPD]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\DEFPRTR3.PPD]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ADFONTS.MFM]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\PSCRIPT.INI]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\ICONLIB.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\WIN40\0\RICTI16.DLL]

        Monitorname: []
        Defaultdatatype: []


[Windows NT x86]
Printer Driver Info 3:
        Version: [2]
        Driver Name: [RICOH Aficio 700 PS]
        Architecture: [Windows NT x86]
        Driver Path: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PS5.DLL]
        Datafile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RICNH703.PPD]
        Configfile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PSU.DLL]
        Helpfile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PSU.HLP]

        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7kmUI.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7PS.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7km.INI]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PS5.NTF]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7Help.HLP]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TrackID.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TIFmtA.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TIBase64.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TISHMEM.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TICMD.EXE]

        Monitorname: []
        Defaultdatatype: []


[Windows NT x86]
Printer Driver Info 3:
        Version: [2]
        Driver Name: [RICOH Aficio 700 PS]
        Architecture: [Windows NT x86]
        Driver Path: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PS5.DLL]
        Datafile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RICNH703.PPD]
        Configfile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PSU.DLL]
        Helpfile: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PSU.HLP]

        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7kmUI.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7PS.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7km.INI]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RINH7PS5.NTF]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\RNH7Help.HLP]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TrackID.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TIFmtA.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TIBase64.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TISHMEM.DLL]
        Dependentfiles: [C:\WINNT\system32\spool\DRIVERS\W32X86\2\TICMD.EXE]

        Monitorname: []
        Defaultdatatype: []

# smbclient //PRINT-SERV3/print\$ -U jarboed               Password:
smb: \> cd W32X86\2
smb: \W32X86\2\> get RINH7PS5.DLL
smb: \W32X86\2\> get RICNH703.PPD
smb: \W32X86\2\> get RINH7PSU.DLL
smb: \W32X86\2\> get RINH7PSU.HLP
smb: \W32X86\2\> get RNH7kmUI.DLL
smb: \W32X86\2\> get RNH7PS.DLL
smb: \W32X86\2\> get RNH7km.INI
smb: \W32X86\2\> get RINH7PS5.NTF
smb: \W32X86\2\> get RNH7Help.HLP
smb: \W32X86\2\> get TrackID.DLL
smb: \W32X86\2\> get TIFmtA.DLL
smb: \W32X86\2\> get TIBase64.DLL
smb: \W32X86\2\> get TISHMEM.DLL
smb: \W32X86\2\> get TICMD.EXE
smb: \W32X86\2\> quit

=======================================
The files on the host, waiting to be added
=======================================
# pwd
/etc/samba/drivers/W32X86
# ls
2             RINH7PS5.NTF  RNH7km.INI    TICMD.EXE
3             RINH7PSU.DLL  RNH7kmUI.DLL  TIFmtA.DLL
RICNH703.PPD  RINH7PSU.HLP  RNH7PS.DLL    TISHMEM.DLL
RINH7PS5.DLL  RNH7Help.HLP  TIBase64.DLL  TrackID.DLL
# ls 2

=======================================
rpcclient -d 10 of adddriver "Windows NT 
x86" "RICOHAficio700PS:RINH7PS5.DLL:RICNH703.PPD:RINH7PSU.DLL:RINH7PSU.HLP:NULL:
RAW:RNH7kmUI.DLL,RNH7PS.DLL,RNH7km.INI,RINH7PS5.NTF,RNH7Help.HLP,TrackID.DLL,TIF
mtA.DLL,TIBase64.DLL,TISHMEM.DLL,TICMD.EXE" command.
=======================================
# rpcclient -U jarboed -d 10 LINBETA
INFO: Current debug levels:
  all: True/10
  tdb: False/0
  printdrivers: False/0
  lanman: False/0
  smb: False/0
  rpc_parse: False/0
  rpc_srv: False/0
  rpc_cli: False/0
  passdb: False/0
  sam: False/0
  auth: False/0
  winbind: False/0
  vfs: False/0
  idmap: False/0
ms_fnmatch(eth0,eth0) -> 0
added interface ip=10.176.137.11 bcast=10.176.137.127 nmask=255.255.255.128
ms_fnmatch(eth0,lo) -> -1
ms_fnmatch(127.0.0.1/24,eth0) -> -1
ms_fnmatch(127.0.0.1/24,lo) -> -1
added interface ip=127.0.0.1 bcast=127.0.0.255 nmask=255.255.255.0
Netbios name list:-
my_netbios_names[0]="LINBETA"
Password:
Connecting to host=LINBETA
internal_resolve_name: looking up LINBETA#20
Opening cache file at /var/cache/samba/gencache.tdb
Returning valid cache entry: key = NBT/LINBETA#20, value = 10.176.137.11:0, 
timeout = Wed Sep 24 07:17:45 2003

name LINBETA#20 found.
Connecting to 10.176.137.11 at port 445
socket option SO_KEEPALIVE = 0
socket option SO_REUSEADDR = 0
socket option SO_BROADCAST = 0
socket option TCP_NODELAY = 1
socket option IPTOS_LOWDELAY = 0
socket option IPTOS_THROUGHPUT = 0
socket option SO_SNDBUF = 50412
socket option SO_RCVBUF = 87648
socket option SO_SNDLOWAT = 1
socket option SO_RCVLOWAT = 1
socket option SO_SNDTIMEO = 0
socket option SO_RCVTIMEO = 0
write_socket(4,183)
write_socket(4,183) wrote 183
got smb length of 127
size=127
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=0
smb_mid=1
smt_wct=17
smb_vwv[ 0]=    7 (0x7)
smb_vwv[ 1]=12803 (0x3203)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   65 (0x41)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=50944 (0xC700)
smb_vwv[ 8]=   22 (0x16)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=32995 (0x80E3)
smb_vwv[11]=  128 (0x80)
smb_vwv[12]=28030 (0x6D7E)
smb_vwv[13]=35924 (0x8C54)
smb_vwv[14]=50050 (0xC382)
smb_vwv[15]=61441 (0xF001)
smb_vwv[16]=14848 (0x3A00)
smb_bcc=58
[000] 6C 69 6E 62 65 74 61 00  00 00 00 00 00 00 00 00  linbeta. ........
[010] 60 28 06 06 2B 06 01 05  05 02 A0 1E 30 1C A0 0E  `(..+... ....0...
[020] 30 0C 06 0A 2B 06 01 04  01 82 37 02 02 0A A3 0A  0...+... ..7.....
[030] 30 08 A0 06 1B 04 4E 4F  4E 45                    0.....NO NE
size=127
smb_com=0x72
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=0
smb_mid=1
smt_wct=17
smb_vwv[ 0]=    7 (0x7)
smb_vwv[ 1]=12803 (0x3203)
smb_vwv[ 2]=  256 (0x100)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=   65 (0x41)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  256 (0x100)
smb_vwv[ 7]=50944 (0xC700)
smb_vwv[ 8]=   22 (0x16)
smb_vwv[ 9]=64768 (0xFD00)
smb_vwv[10]=32995 (0x80E3)
smb_vwv[11]=  128 (0x80)
smb_vwv[12]=28030 (0x6D7E)
smb_vwv[13]=35924 (0x8C54)
smb_vwv[14]=50050 (0xC382)
smb_vwv[15]=61441 (0xF001)
smb_vwv[16]=14848 (0x3A00)
smb_bcc=58
[000] 6C 69 6E 62 65 74 61 00  00 00 00 00 00 00 00 00  linbeta. ........
[010] 60 28 06 06 2B 06 01 05  05 02 A0 1E 30 1C A0 0E  `(..+... ....0...
[020] 30 0C 06 0A 2B 06 01 04  01 82 37 02 02 0A A3 0A  0...+... ..7.....
[030] 30 08 A0 06 1B 04 4E 4F  4E 45                    0.....NO NE
Serverzone is 14400
Doing spnego session setup (blob length=58)
got OID=1 3 6 1 4 1 311 2 2 10
got principal=NONE
write_socket(4,170)
write_socket(4,170) wrote 170
got smb length of 348
size=348
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=0
smb_mid=2
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  221 (0xDD)
smb_bcc=305
[000] A1 81 DA 30 81 D7 A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 C1 04 81 BE 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 18 00 18 00 30  TLMSSP.. .......0
[030] 00 00 00 05 02 81 20 58  81 2E 8F E7 2E 32 3E 00  ...... X .....2>.
[040] 00 00 00 00 00 00 00 76  00 76 00 48 00 00 00 54  .......v .v.H...T
[050] 00 43 00 53 00 5F 00 4D  00 41 00 49 00 4E 00 5F  .C.S._.M .A.I.N._
[060] 00 44 00 4F 00 4D 00 02  00 18 00 54 00 43 00 53  .D.O.M.. ...T.C.S
[070] 00 5F 00 4D 00 41 00 49  00 4E 00 5F 00 44 00 4F  ._.M.A.I .N._.D.O
[080] 00 4D 00 01 00 0E 00 4C  00 49 00 4E 00 42 00 45  .M.....L .I.N.B.E
[090] 00 54 00 41 00 04 00 1E  00 74 00 63 00 73 00 2E  .T.A.... .t.c.s..
[0A0] 00 74 00 69 00 6D 00 65  00 69 00 6E 00 63 00 2E  .t.i.m.e .i.n.c..
[0B0] 00 63 00 6F 00 6D 00 03  00 1E 00 74 00 63 00 73  .c.o.m.. ...t.c.s
[0C0] 00 2E 00 74 00 69 00 6D  00 65 00 69 00 6E 00 63  ...t.i.m .e.i.n.c
[0D0] 00 2E 00 63 00 6F 00 6D  00 00 00 00 00 55 00 6E  ...c.o.m .....U.n
[0E0] 00 69 00 78 00 00 00 53  00 61 00 6D 00 62 00 61  .i.x...S .a.m.b.a
[0F0] 00 20 00 33 00 2E 00 30  00 2E 00 30 00 72 00 63  . .3...0 ...0.r.c
[100] 00 34 00 2D 00 31 00 30  00 72 00 63 00 34 00 2E  .4.-.1.0 .r.c.4..
[110] 00 33 00 45 00 00 00 54  00 43 00 53 00 5F 00 4D  .3.E...T .C.S._.M
[120] 00 41 00 49 00 4E 00 5F  00 44 00 4F 00 4D 00 00  .A.I.N._ .D.O.M..
[130] 00                                                .
size=348
smb_com=0x73
smb_rcls=22
smb_reh=0
smb_err=49152
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=0
smb_mid=2
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=  221 (0xDD)
smb_bcc=305
[000] A1 81 DA 30 81 D7 A0 03  0A 01 01 A1 0C 06 0A 2B  ...0.... .......+
[010] 06 01 04 01 82 37 02 02  0A A2 81 C1 04 81 BE 4E  .....7.. .......N
[020] 54 4C 4D 53 53 50 00 02  00 00 00 18 00 18 00 30  TLMSSP.. .......0
[030] 00 00 00 05 02 81 20 58  81 2E 8F E7 2E 32 3E 00  ...... X .....2>.
[040] 00 00 00 00 00 00 00 76  00 76 00 48 00 00 00 54  .......v .v.H...T
[050] 00 43 00 53 00 5F 00 4D  00 41 00 49 00 4E 00 5F  .C.S._.M .A.I.N._
[060] 00 44 00 4F 00 4D 00 02  00 18 00 54 00 43 00 53  .D.O.M.. ...T.C.S
[070] 00 5F 00 4D 00 41 00 49  00 4E 00 5F 00 44 00 4F  ._.M.A.I .N._.D.O
[080] 00 4D 00 01 00 0E 00 4C  00 49 00 4E 00 42 00 45  .M.....L .I.N.B.E
[090] 00 54 00 41 00 04 00 1E  00 74 00 63 00 73 00 2E  .T.A.... .t.c.s..
[0A0] 00 74 00 69 00 6D 00 65  00 69 00 6E 00 63 00 2E  .t.i.m.e .i.n.c..
[0B0] 00 63 00 6F 00 6D 00 03  00 1E 00 74 00 63 00 73  .c.o.m.. ...t.c.s
[0C0] 00 2E 00 74 00 69 00 6D  00 65 00 69 00 6E 00 63  ...t.i.m .e.i.n.c
[0D0] 00 2E 00 63 00 6F 00 6D  00 00 00 00 00 55 00 6E  ...c.o.m .....U.n
[0E0] 00 69 00 78 00 00 00 53  00 61 00 6D 00 62 00 61  .i.x...S .a.m.b.a
[0F0] 00 20 00 33 00 2E 00 30  00 2E 00 30 00 72 00 63  . .3...0 ...0.r.c
[100] 00 34 00 2D 00 31 00 30  00 72 00 63 00 34 00 2E  .4.-.1.0 .r.c.4..
[110] 00 33 00 45 00 00 00 54  00 43 00 53 00 5F 00 4D  .3.E...T .C.S._.M
[120] 00 41 00 49 00 4E 00 5F  00 44 00 4F 00 4D 00 00  .A.I.N._ .D.O.M..
[130] 00                                                .
Got challenge flags:
Got NTLMSSP neg_flags=0x20810205
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_CHAL_TARGET_INFO
  NTLMSSP_NEGOTIATE_128
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x20000205
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_128
write_socket(4,262)
write_socket(4,262) wrote 262
got smb length of 136
size=136
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=100
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=93
[000] A1 07 30 05 A0 03 0A 01  00 55 00 6E 00 69 00 78  ..0..... .U.n.i.x
[010] 00 00 00 53 00 61 00 6D  00 62 00 61 00 20 00 33  ...S.a.m .b.a. .3
[020] 00 2E 00 30 00 2E 00 30  00 72 00 63 00 34 00 2D  ...0...0 .r.c.4.-
[030] 00 31 00 30 00 72 00 63  00 34 00 2E 00 33 00 45  .1.0.r.c .4...3.E
[040] 00 00 00 54 00 43 00 53  00 5F 00 4D 00 41 00 49  ...T.C.S ._.M.A.I
[050] 00 4E 00 5F 00 44 00 4F  00 4D 00 00 00           .N._.D.O .M...
size=136
smb_com=0x73
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=0
smb_pid=5830
smb_uid=100
smb_mid=3
smt_wct=4
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    9 (0x9)
smb_bcc=93
[000] A1 07 30 05 A0 03 0A 01  00 55 00 6E 00 69 00 78  ..0..... .U.n.i.x
[010] 00 00 00 53 00 61 00 6D  00 62 00 61 00 20 00 33  ...S.a.m .b.a. .3
[020] 00 2E 00 30 00 2E 00 30  00 72 00 63 00 34 00 2D  ...0...0 .r.c.4.-
[030] 00 31 00 30 00 72 00 63  00 34 00 2E 00 33 00 45  .1.0.r.c .4...3.E
[040] 00 00 00 54 00 43 00 53  00 5F 00 4D 00 41 00 49  ...T.C.S ._.M.A.I
[050] 00 4E 00 5F 00 44 00 4F  00 4D 00 00 00           .N._.D.O .M...
write_socket(4,82)
write_socket(4,82) wrote 82
got smb length of 48
size=48
smb_com=0x75
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=4
smt_wct=3
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=    1 (0x1)
smb_bcc=7
[000] 49 50 43 00 00 00 00                              IPC....
cli_init_creds: user jarboed domain TCS_MAIN_DOM
write_socket(4,104)
write_socket(4,104) wrote 104
got smb length of 103
size=103
smb_com=0xa2
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=5
smt_wct=34
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=43776 (0xAB00)
smb_vwv[ 3]=  373 (0x175)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=    0 (0x0)
smb_vwv[11]=    0 (0x0)
smb_vwv[12]=    0 (0x0)
smb_vwv[13]=    0 (0x0)
smb_vwv[14]=    0 (0x0)
smb_vwv[15]=    0 (0x0)
smb_vwv[16]=    0 (0x0)
smb_vwv[17]=    0 (0x0)
smb_vwv[18]=    0 (0x0)
smb_vwv[19]=    0 (0x0)
smb_vwv[20]=    0 (0x0)
smb_vwv[21]=32768 (0x8000)
smb_vwv[22]=    0 (0x0)
smb_vwv[23]=    0 (0x0)
smb_vwv[24]=    0 (0x0)
smb_vwv[25]=    0 (0x0)
smb_vwv[26]=    0 (0x0)
smb_vwv[27]=    0 (0x0)
smb_vwv[28]=    0 (0x0)
smb_vwv[29]=    0 (0x0)
smb_vwv[30]=    0 (0x0)
smb_vwv[31]=  512 (0x200)
smb_vwv[32]=65280 (0xFF00)
smb_vwv[33]=    5 (0x5)
smb_bcc=0
Bind RPC Pipe[75ab]: \PIPE\lsarpc
Bind Abstract Syntax: [000] 12 34 57 78 12 34 AB CD  EF 00 01 23 45 67 89 
AB  .4Wx.4.. ...#Eg..
[010] 00 00 00 00                                       ....
Bind Transfer Syntax: [000] 8A 88 5D 04 1C EB 11 C9  9F E8 08 00 2B 10 48 
60  ..]..... ....+.H`
[010] 00 00 00 02                                       ....
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 0b
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0048
    000a auth_len  : 0000
    000c call_id   : 00000001
000010 smb_io_rpc_hdr_rb
    000010 smb_io_rpc_hdr_bba
        0010 max_tsize: 10b8
        0012 max_rsize: 10b8
        0014 assoc_gid: 00000000
    0018 num_elements: 00000001
    001c context_id  : 0000
    001e num_syntaxes: 01
    00001f smb_io_rpc_iface
        0020 data   : 12345778
        0024 data   : 1234
        0026 data   : abcd
        0028 data   : ef 00 01 23 45 67 89 ab
        0030 version: 00000000
    000034 smb_io_rpc_iface
        0034 data   : 8a885d04
        0038 data   : 1ceb
        003a data   : 11c9
        003c data   : 9f e8 08 00 2b 10 48 60
        0044 version: 00000002
rpc_api_pipe: fnum:75ab
size=154
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=6
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   72 (0x48)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 1024 (0x400)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=   72 (0x48)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30123 (0x75AB)
smb_bcc=87
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 0B 03 10 00 00 00 48  00 00 00 01 00 00 00 B8  .......H ........
[020] 10 B8 10 00 00 00 00 01  00 00 00 00 00 01 00 78  ........ .......x
[030] 57 34 12 34 12 CD AB EF  00 01 23 45 67 89 AB 00  W4.4.... ..#Eg...
[040] 00 00 00 04 5D 88 8A EB  1C C9 11 9F E8 08 00 2B  ....]... .......+
[050] 10 48 60 02 00 00 00                              .H`....
write_socket(4,158)
write_socket(4,158) wrote 158
got smb length of 124
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=6
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   68 (0x44)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   68 (0x44)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=69
[000] 00 05 00 0C 03 10 00 00  00 44 00 00 00 01 00 00  ........ .D......
[010] 00 B8 10 B8 10 F0 53 00  00 0C 00 5C 50 49 50 45  ......S. ...\PIPE
[020] 5C 6C 73 61 73 73 00 00  00 01 00 00 00 00 00 00  \lsass.. ........
[030] 00 04 5D 88 8A EB 1C C9  11 9F E8 08 00 2B 10 48  ..]..... .....+.H
[040] 60 02 00 00 00                                    `....
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=6
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   68 (0x44)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   68 (0x44)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=69
[000] 00 05 00 0C 03 10 00 00  00 44 00 00 00 01 00 00  ........ .D......
[010] 00 B8 10 B8 10 F0 53 00  00 0C 00 5C 50 49 50 45  ......S. ...\PIPE
[020] 5C 6C 73 61 73 73 00 00  00 01 00 00 00 00 00 00  \lsass.. ........
[030] 00 04 5D 88 8A EB 1C C9  11 9F E8 08 00 2B 10 48  ..]..... .....+.H
[040] 60 02 00 00 00                                    `....
rpc_check_hdr: rdata->data_size = 68
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 0c
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0044
    000a auth_len  : 0000
    000c call_id   : 00000001
rpc_api_pipe: len left: 0 smbtrans read: 68
rpc_api_pipe: fragment first and last both set
rpc_pipe_bind: rpc_api_pipe returned OK.
000010 smb_io_rpc_hdr_ba
    000010 smb_io_rpc_hdr_bba
        0010 max_tsize: 10b8
        0012 max_rsize: 10b8
        0014 assoc_gid: 000053f0
    000018 smb_io_rpc_addr_str
        0018 len: 000c
        001a str: \PIPE\lsass.
    000026 smb_io_rpc_results
        0028 num_results: 01
        002c result     : 0000
        002e reason     : 0000
    000030 smb_io_rpc_iface
        0030 data   : 8a885d04
        0034 data   : 1ceb
        0036 data   : 11c9
        0038 data   : 9f e8 08 00 2b 10 48 60
        0040 version: 00000002
bind_rpc_pipe: server pipe_name found: \PIPE\lsass
bind_rpc_pipe: accepted!
init_lsa_sec_qos
init_open_pol: attr:0 da:33554432
init_lsa_obj_attr
000000 lsa_io_q_open_pol
    0000 ptr       : 00000001
    0004 system_name: 005c
    000008 lsa_io_obj_attr
        0008 len         : 00000018
        000c ptr_root_dir: 00000000
        0010 ptr_obj_name: 00000000
        0014 attributes  : 00000000
        0018 ptr_sec_desc: 00000000
        001c ptr_sec_qos : 00000001
        000020 lsa_io_obj_qos sec_qos
            0020 len           : 0000000c
            0024 sec_imp_level : 0002
            0026 sec_ctxt_mode : 01
            0027 effective_only: 00
lsa_io_sec_qos: length c does not match size 8
    0028 des_access: 02000000
create_rpc_request: opnum: 0x6 data_len: 0x44
create_rpc_request: data_len: 44 auth_len: 0 alloc_hint: 34
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 00
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0044
    000a auth_len  : 0000
    000c call_id   : 00000002
000010 smb_io_rpc_hdr_req hdr_req
    0010 alloc_hint: 00000034
    0014 context_id: 0000
    0016 opnum     : 0006
rpc_api_pipe: fnum:75ab
size=150
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=7
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   68 (0x44)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 4280 (0x10B8)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=   68 (0x44)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30123 (0x75AB)
smb_bcc=83
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 00 03 10 00 00 00 44  00 00 00 02 00 00 00 34  .......D .......4
[020] 00 00 00 00 00 06 00 01  00 00 00 5C 00 00 00 18  ........ ...\....
[030] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[040] 00 00 00 01 00 00 00 0C  00 00 00 02 00 01 00 00  ........ ........
[050] 00 00 02                                          ...
write_socket(4,154)
write_socket(4,154) wrote 154
got smb length of 104
size=104
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=7
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   48 (0x30)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=49
[000] 00 05 00 02 03 10 00 00  00 30 00 00 00 02 00 00  ........ .0......
[010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[020] 01 00 00 00 00 6C 7B 71  3F C7 16 00 00 00 00 00  .....l{q ?.......
[030] 00                                                .
size=104
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=7
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   48 (0x30)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=49
[000] 00 05 00 02 03 10 00 00  00 30 00 00 00 02 00 00  ........ .0......
[010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[020] 01 00 00 00 00 6C 7B 71  3F C7 16 00 00 00 00 00  .....l{q ?.......
[030] 00                                                .
rpc_check_hdr: rdata->data_size = 48
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 02
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0030
    000a auth_len  : 0000
    000c call_id   : 00000002
000010 smb_io_rpc_hdr_resp rpc_hdr_resp
    0010 alloc_hint: 00000018
    0014 context_id: 0000
    0016 cancel_ct : 00
    0017 reserved  : 00
rpc_api_pipe: len left: 0 smbtrans read: 48
rpc_api_pipe: fragment first and last both set
000018 lsa_io_r_open_pol
    000018 smb_io_pol_hnd
        0018 data1: 00000000
        001c data2: 01000000
        0020 data3: 0000
        0022 data4: 0000
        0024 data5: 6c 7b 71 3f c7 16 00 00
    002c status: NT_STATUS_OK
init_q_query
000000 lsa_io_q_query
    000000 smb_io_pol_hnd
        0000 data1: 00000000
        0004 data2: 01000000
        0008 data3: 0000
        000a data4: 0000
        000c data5: 6c 7b 71 3f c7 16 00 00
    0014 info_class: 0005
create_rpc_request: opnum: 0x7 data_len: 0x2e
create_rpc_request: data_len: 2e auth_len: 0 alloc_hint: 1e
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 00
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 002e
    000a auth_len  : 0000
    000c call_id   : 00000003
000010 smb_io_rpc_hdr_req hdr_req
    0010 alloc_hint: 0000001e
    0014 context_id: 0000
    0016 opnum     : 0007
rpc_api_pipe: fnum:75ab
size=128
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=8
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   46 (0x2E)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 4280 (0x10B8)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=   46 (0x2E)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30123 (0x75AB)
smb_bcc=61
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 00 03 10 00 00 00 2E  00 00 00 03 00 00 00 1E  ........ ........
[020] 00 00 00 00 00 07 00 00  00 00 00 00 00 00 01 00  ........ ........
[030] 00 00 00 6C 7B 71 3F C7  16 00 00 05 00           ...l{q?. .....
write_socket(4,132)
write_socket(4,132) wrote 132
got smb length of 160
size=160
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=8
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=  104 (0x68)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  104 (0x68)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=105
[000] 00 05 00 02 03 10 00 00  00 68 00 00 00 03 00 00  ........ .h......
[010] 00 50 00 00 00 00 00 00  00 00 00 00 22 05 00 00  .P...... ...."...
[020] 00 0E 00 10 00 01 00 00  00 01 00 00 00 08 00 00  ........ ........
[030] 00 00 00 00 00 07 00 00  00 4C 00 49 00 4E 00 42  ........ .L.I.N.B
[040] 00 45 00 54 00 41 00 00  00 04 00 00 00 01 04 00  .E.T.A.. ........
[050] 00 00 00 00 05 15 00 00  00 52 C9 E8 AE 45 DD 31  ........ .R...E.1
[060] ED 7A FF 5B 71 00 00 00  00                       .z.[q... .
size=160
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=8
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=  104 (0x68)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=  104 (0x68)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=105
[000] 00 05 00 02 03 10 00 00  00 68 00 00 00 03 00 00  ........ .h......
[010] 00 50 00 00 00 00 00 00  00 00 00 00 22 05 00 00  .P...... ...."...
[020] 00 0E 00 10 00 01 00 00  00 01 00 00 00 08 00 00  ........ ........
[030] 00 00 00 00 00 07 00 00  00 4C 00 49 00 4E 00 42  ........ .L.I.N.B
[040] 00 45 00 54 00 41 00 00  00 04 00 00 00 01 04 00  .E.T.A.. ........
[050] 00 00 00 00 05 15 00 00  00 52 C9 E8 AE 45 DD 31  ........ .R...E.1
[060] ED 7A FF 5B 71 00 00 00  00                       .z.[q... .
rpc_check_hdr: rdata->data_size = 104
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 02
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0068
    000a auth_len  : 0000
    000c call_id   : 00000003
000010 smb_io_rpc_hdr_resp rpc_hdr_resp
    0010 alloc_hint: 00000050
    0014 context_id: 0000
    0016 cancel_ct : 00
    0017 reserved  : 00
rpc_api_pipe: len left: 0 smbtrans read: 104
rpc_api_pipe: fragment first and last both set
000018 lsa_io_r_query
    0018 undoc_buffer: 22000000
    001c info_class: 0005
    000020 lsa_io_dom_query
        0020 uni_dom_max_len: 000e
        0022 uni_dom_str_len: 0010
        0024 buffer_dom_name: 00000001
        0028 buffer_dom_sid : 00000001
        00002c smb_io_unistr2 unistr2
            002c uni_max_len: 00000008
            0030 undoc      : 00000000
            0034 uni_str_len: 00000007
            0038 buffer     : L.I.N.B.E.T.A.
        000048 smb_io_dom_sid2
            0048 num_auths: 00000004
            00004c smb_io_dom_sid sid
                004c sid_rev_num: 01
                004d num_auths  : 04
                004e id_auth[0] : 00
                004f id_auth[1] : 00
                0050 id_auth[2] : 00
                0051 id_auth[3] : 00
                0052 id_auth[4] : 00
                0053 id_auth[5] : 05
                0054 sub_auths : 00000015 aee8c952 ed31dd45 715bff7a
    0064 status: NT_STATUS_OK
init_lsa_q_close
000000 lsa_io_q_close
    000000 smb_io_pol_hnd
        0000 data1: 00000000
        0004 data2: 01000000
        0008 data3: 0000
        000a data4: 0000
        000c data5: 6c 7b 71 3f c7 16 00 00
create_rpc_request: opnum: 0x0 data_len: 0x2c
create_rpc_request: data_len: 2c auth_len: 0 alloc_hint: 1c
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 00
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 002c
    000a auth_len  : 0000
    000c call_id   : 00000004
000010 smb_io_rpc_hdr_req hdr_req
    0010 alloc_hint: 0000001c
    0014 context_id: 0000
    0016 opnum     : 0000
rpc_api_pipe: fnum:75ab
size=126
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=9
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   44 (0x2C)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 4280 (0x10B8)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=   44 (0x2C)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30123 (0x75AB)
smb_bcc=59
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 00 03 10 00 00 00 2C  00 00 00 04 00 00 00 1C  ......., ........
[020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 01 00  ........ ........
[030] 00 00 00 6C 7B 71 3F C7  16 00 00                 ...l{q?. ...
write_socket(4,130)
write_socket(4,130) wrote 130
got smb length of 104
size=104
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=9
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   48 (0x30)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=49
[000] 00 05 00 02 03 10 00 00  00 30 00 00 00 04 00 00  ........ .0......
[010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[030] 00                                                .
size=104
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=9
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   48 (0x30)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   48 (0x30)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=49
[000] 00 05 00 02 03 10 00 00  00 30 00 00 00 04 00 00  ........ .0......
[010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
[030] 00                                                .
rpc_check_hdr: rdata->data_size = 48
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 02
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0030
    000a auth_len  : 0000
    000c call_id   : 00000004
000010 smb_io_rpc_hdr_resp rpc_hdr_resp
    0010 alloc_hint: 00000018
    0014 context_id: 0000
    0016 cancel_ct : 00
    0017 reserved  : 00
rpc_api_pipe: len left: 0 smbtrans read: 48
rpc_api_pipe: fragment first and last both set
000018 lsa_io_r_close
    000018 smb_io_pol_hnd
        0018 data1: 00000000
        001c data2: 00000000
        0020 data3: 0000
        0022 data4: 0000
        0024 data5: 00 00 00 00 00 00 00 00
    002c status: NT_STATUS_OK
write_socket(4,45)
write_socket(4,45) wrote 45
got smb length of 35
size=35
smb_com=0x4
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=10
smt_wct=0
smb_bcc=0
rpcclient $> adddriver "Windows NT 
x86" "RICOHAficio700PS:RINH7PS5.DLL:RICNH703.PPD:RINH7PSU.DLL:RINH7PSU.HLP:NULL:
RAW:RNH7kmUI.DLL,RNH7PS.DLL,RNH7km.INI,RINH7PS5.NTF,RNH7Help.HLP,TrackID.DLL,TIF
mtA.DLL,TIBase64.DLL,TISHMEM.DLL,TICMD.EXE"
write_socket(4,106)
write_socket(4,106) wrote 106
got smb length of 103
size=103
smb_com=0xa2
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=11
smt_wct=34
smb_vwv[ 0]=  255 (0xFF)
smb_vwv[ 1]=    0 (0x0)
smb_vwv[ 2]=44032 (0xAC00)
smb_vwv[ 3]=  373 (0x175)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=    0 (0x0)
smb_vwv[11]=    0 (0x0)
smb_vwv[12]=    0 (0x0)
smb_vwv[13]=    0 (0x0)
smb_vwv[14]=    0 (0x0)
smb_vwv[15]=    0 (0x0)
smb_vwv[16]=    0 (0x0)
smb_vwv[17]=    0 (0x0)
smb_vwv[18]=    0 (0x0)
smb_vwv[19]=    0 (0x0)
smb_vwv[20]=    0 (0x0)
smb_vwv[21]=32768 (0x8000)
smb_vwv[22]=    0 (0x0)
smb_vwv[23]=    0 (0x0)
smb_vwv[24]=    0 (0x0)
smb_vwv[25]=    0 (0x0)
smb_vwv[26]=    0 (0x0)
smb_vwv[27]=    0 (0x0)
smb_vwv[28]=    0 (0x0)
smb_vwv[29]=    0 (0x0)
smb_vwv[30]=    0 (0x0)
smb_vwv[31]=  512 (0x200)
smb_vwv[32]=65280 (0xFF00)
smb_vwv[33]=    5 (0x5)
smb_bcc=0
Bind RPC Pipe[75ac]: \PIPE\spoolss
Bind Abstract Syntax: [000] 12 34 56 78 12 34 AB CD  EF 00 01 23 45 67 89 
AB  .4Vx.4.. ...#Eg..
[010] 00 00 00 01                                       ....
Bind Transfer Syntax: [000] 8A 88 5D 04 1C EB 11 C9  9F E8 08 00 2B 10 48 
60  ..]..... ....+.H`
[010] 00 00 00 02                                       ....
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 0b
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0048
    000a auth_len  : 0000
    000c call_id   : 00000005
000010 smb_io_rpc_hdr_rb
    000010 smb_io_rpc_hdr_bba
        0010 max_tsize: 10b8
        0012 max_rsize: 10b8
        0014 assoc_gid: 00000000
    0018 num_elements: 00000001
    001c context_id  : 0000
    001e num_syntaxes: 01
    00001f smb_io_rpc_iface
        0020 data   : 12345678
        0024 data   : 1234
        0026 data   : abcd
        0028 data   : ef 00 01 23 45 67 89 ab
        0030 version: 00000001
    000034 smb_io_rpc_iface
        0034 data   : 8a885d04
        0038 data   : 1ceb
        003a data   : 11c9
        003c data   : 9f e8 08 00 2b 10 48 60
        0044 version: 00000002
rpc_api_pipe: fnum:75ac
size=154
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=12
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   72 (0x48)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 4280 (0x10B8)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=   72 (0x48)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30124 (0x75AC)
smb_bcc=87
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 0B 03 10 00 00 00 48  00 00 00 05 00 00 00 B8  .......H ........
[020] 10 B8 10 00 00 00 00 01  00 00 00 00 00 01 00 78  ........ .......x
[030] 56 34 12 34 12 CD AB EF  00 01 23 45 67 89 AB 01  V4.4.... ..#Eg...
[040] 00 00 00 04 5D 88 8A EB  1C C9 11 9F E8 08 00 2B  ....]... .......+
[050] 10 48 60 02 00 00 00                              .H`....
write_socket(4,158)
write_socket(4,158) wrote 158
got smb length of 124
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=12
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   68 (0x44)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   68 (0x44)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=69
[000] 00 05 00 0C 03 10 00 00  00 44 00 00 00 05 00 00  ........ .D......
[010] 00 B8 10 B8 10 F0 53 00  00 0E 00 5C 50 49 50 45  ......S. ...\PIPE
[020] 5C 73 70 6F 6F 6C 73 73  00 01 00 00 00 00 00 00  \spoolss ........
[030] 00 04 5D 88 8A EB 1C C9  11 9F E8 08 00 2B 10 48  ..]..... .....+.H
[040] 60 02 00 00 00                                    `....
size=124
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=12
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   68 (0x44)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   68 (0x44)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=69
[000] 00 05 00 0C 03 10 00 00  00 44 00 00 00 05 00 00  ........ .D......
[010] 00 B8 10 B8 10 F0 53 00  00 0E 00 5C 50 49 50 45  ......S. ...\PIPE
[020] 5C 73 70 6F 6F 6C 73 73  00 01 00 00 00 00 00 00  \spoolss ........
[030] 00 04 5D 88 8A EB 1C C9  11 9F E8 08 00 2B 10 48  ..]..... .....+.H
[040] 60 02 00 00 00                                    `....
rpc_check_hdr: rdata->data_size = 68
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 0c
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 0044
    000a auth_len  : 0000
    000c call_id   : 00000005
rpc_api_pipe: len left: 0 smbtrans read: 68
rpc_api_pipe: fragment first and last both set
rpc_pipe_bind: rpc_api_pipe returned OK.
000010 smb_io_rpc_hdr_ba
    000010 smb_io_rpc_hdr_bba
        0010 max_tsize: 10b8
        0012 max_rsize: 10b8
        0014 assoc_gid: 000053f0
    000018 smb_io_rpc_addr_str
        0018 len: 000e
        001a str: \PIPE\spoolss.
    000028 smb_io_rpc_results
        0028 num_results: 01
        002c result     : 0000
        002e reason     : 0000
    000030 smb_io_rpc_iface
        0030 data   : 8a885d04
        0034 data   : 1ceb
        0036 data   : 11c9
        0038 data   : 9f e8 08 00 2b 10 48 60
        0040 version: 00000002
bind_rpc_pipe: server pipe_name found: \PIPE\lsass
bind_rpc_pipe: accepted!
make_spoolss_q_addprinterdriver
000000 spoolss_io_q_addprinterdriver
    0000 server_name_ptr: 00000001
    000004 smb_io_unistr2 server_name
        0004 uni_max_len: 0000000a
        0008 undoc      : 00000000
        000c uni_str_len: 0000000a
        0010 buffer     : \.\.L.I.N.B.E.T.A...
    0024 info_level: 00000003
    000028 spool_io_printer_driver_info_level
        0028 level: 00000003
        002c ptr: 00000001
        000030 spool_io_printer_driver_info_level_3
            0030 cversion: 00000002
            0034 name: 00000001
            0038 environment: 00000001
            003c driverpath: 00000001
            0040 datafile: 00000001
            0044 configfile: 00000001
            0048 helpfile: 00000001
            004c monitorname: 00000000
            0050 defaultdatatype: 00000001
            0054 dependentfilessize: 00000002
            0058 dependentfiles: 00000001
            00005c smb_io_unistr2 name
                005c uni_max_len: 00000011
                0060 undoc      : 00000000
                0064 uni_str_len: 00000011
                0068 buffer     : R.I.C.O.H.A.f.i.c.i.o.7.0.0.P.S...
            00008a smb_io_unistr2 environment
                008c uni_max_len: 0000000f
                0090 undoc      : 00000000
                0094 uni_str_len: 0000000f
                0098 buffer     : W.i.n.d.o.w.s. .N.T. .x.8.6...
            0000b6 smb_io_unistr2 driverpath
                00b8 uni_max_len: 0000000d
                00bc undoc      : 00000000
                00c0 uni_str_len: 0000000d
                00c4 buffer     : R.I.N.H.7.P.S.5...D.L.L...
            0000de smb_io_unistr2 datafile
                00e0 uni_max_len: 0000000d
                00e4 undoc      : 00000000
                00e8 uni_str_len: 0000000d
                00ec buffer     : R.I.C.N.H.7.0.3...P.P.D...
            000106 smb_io_unistr2 configfile
                0108 uni_max_len: 0000000d
                010c undoc      : 00000000
                0110 uni_str_len: 0000000d
                0114 buffer     : R.I.N.H.7.P.S.U...D.L.L...
            00012e smb_io_unistr2 helpfile
                0130 uni_max_len: 0000000d
                0134 undoc      : 00000000
                0138 uni_str_len: 0000000d
                013c buffer     : R.I.N.H.7.P.S.U...H.L.P...
            000156 smb_io_unistr2 - NULL monitorname
            000156 smb_io_unistr2 defaultdatatype
                0158 uni_max_len: 00000004
                015c undoc      : 00000000
                0160 uni_str_len: 00000004
                0164 buffer     : R.A.W...
            00016c smb_io_buffer5
                016c buf_len: 00000002
                0170 buffer: ....
create_rpc_request: opnum: 0x9 data_len: 0x18c
create_rpc_request: data_len: 18c auth_len: 0 alloc_hint: 17c
000000 smb_io_rpc_hdr hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 00
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 018c
    000a auth_len  : 0000
    000c call_id   : 00000006
000010 smb_io_rpc_hdr_req hdr_req
    0010 alloc_hint: 0000017c
    0014 context_id: 0000
    0016 opnum     : 0009
rpc_api_pipe: fnum:75ac
size=478
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=8
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=13
smt_wct=16
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=  396 (0x18C)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]= 4280 (0x10B8)
smb_vwv[ 4]=    0 (0x0)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=    0 (0x0)
smb_vwv[ 7]=    0 (0x0)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_vwv[10]=   82 (0x52)
smb_vwv[11]=  396 (0x18C)
smb_vwv[12]=   82 (0x52)
smb_vwv[13]=    2 (0x2)
smb_vwv[14]=   38 (0x26)
smb_vwv[15]=30124 (0x75AC)
smb_bcc=411
[000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 05  .\.P.I.P .E.\....
[010] 00 00 03 10 00 00 00 8C  01 00 00 06 00 00 00 7C  ........ .......|
[020] 01 00 00 00 00 09 00 01  00 00 00 0A 00 00 00 00  ........ ........
[030] 00 00 00 0A 00 00 00 5C  00 5C 00 4C 00 49 00 4E  .......\ .\.L.I.N
[040] 00 42 00 45 00 54 00 41  00 00 00 03 00 00 00 03  .B.E.T.A ........
[050] 00 00 00 01 00 00 00 02  00 00 00 01 00 00 00 01  ........ ........
[060] 00 00 00 01 00 00 00 01  00 00 00 01 00 00 00 01  ........ ........
[070] 00 00 00 00 00 00 00 01  00 00 00 02 00 00 00 01  ........ ........
[080] 00 00 00 11 00 00 00 00  00 00 00 11 00 00 00 52  ........ .......R
[090] 00 49 00 43 00 4F 00 48  00 41 00 66 00 69 00 63  .I.C.O.H .A.f.i.c
[0A0] 00 69 00 6F 00 37 00 30  00 30 00 50 00 53 00 00  .i.o.7.0 .0.P.S..
[0B0] 00 00 00 0F 00 00 00 00  00 00 00 0F 00 00 00 57  ........ .......W
[0C0] 00 69 00 6E 00 64 00 6F  00 77 00 73 00 20 00 4E  .i.n.d.o .w.s. .N
[0D0] 00 54 00 20 00 78 00 38  00 36 00 00 00 00 00 0D  .T. .x.8 .6......
[0E0] 00 00 00 00 00 00 00 0D  00 00 00 52 00 49 00 4E  ........ ...R.I.N
[0F0] 00 48 00 37 00 50 00 53  00 35 00 2E 00 44 00 4C  .H.7.P.S .5...D.L
[100] 00 4C 00 00 00 00 00 0D  00 00 00 00 00 00 00 0D  .L...... ........
[110] 00 00 00 52 00 49 00 43  00 4E 00 48 00 37 00 30  ...R.I.C .N.H.7.0
[120] 00 33 00 2E 00 50 00 50  00 44 00 00 00 00 00 0D  .3...P.P .D......
[130] 00 00 00 00 00 00 00 0D  00 00 00 52 00 49 00 4E  ........ ...R.I.N
[140] 00 48 00 37 00 50 00 53  00 55 00 2E 00 44 00 4C  .H.7.P.S .U...D.L
[150] 00 4C 00 00 00 00 00 0D  00 00 00 00 00 00 00 0D  .L...... ........
[160] 00 00 00 52 00 49 00 4E  00 48 00 37 00 50 00 53  ...R.I.N .H.7.P.S
[170] 00 55 00 2E 00 48 00 4C  00 50 00 00 00 00 00 04  .U...H.L .P......
[180] 00 00 00 00 00 00 00 04  00 00 00 52 00 41 00 57  ........ ...R.A.W
[190] 00 00 00 02 00 00 00 00  00 00 00                 ........ ...
write_socket(4,482)
write_socket(4,482) wrote 482
got smb length of 84
size=84
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=13
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   28 (0x1C)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   28 (0x1C)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=29
[000] 00 05 00 02 03 10 00 00  00 1C 00 00 00 06 00 00  ........ ........
[010] 00 04 00 00 00 00 00 00  00 00 00 00 00           ........ .....
size=84
smb_com=0x25
smb_rcls=0
smb_reh=0
smb_err=0
smb_flg=136
smb_flg2=51201
smb_tid=1
smb_pid=5830
smb_uid=100
smb_mid=13
smt_wct=10
smb_vwv[ 0]=    0 (0x0)
smb_vwv[ 1]=   28 (0x1C)
smb_vwv[ 2]=    0 (0x0)
smb_vwv[ 3]=    0 (0x0)
smb_vwv[ 4]=   56 (0x38)
smb_vwv[ 5]=    0 (0x0)
smb_vwv[ 6]=   28 (0x1C)
smb_vwv[ 7]=   56 (0x38)
smb_vwv[ 8]=    0 (0x0)
smb_vwv[ 9]=    0 (0x0)
smb_bcc=29
[000] 00 05 00 02 03 10 00 00  00 1C 00 00 00 06 00 00  ........ ........
[010] 00 04 00 00 00 00 00 00  00 00 00 00 00           ........ .....
rpc_check_hdr: rdata->data_size = 28
000000 smb_io_rpc_hdr rpc_hdr
    0000 major     : 05
    0001 minor     : 00
    0002 pkt_type  : 02
    0003 flags     : 03
    0004 pack_type0: 10
    0005 pack_type1: 00
    0006 pack_type2: 00
    0007 pack_type3: 00
    0008 frag_len  : 001c
    000a auth_len  : 0000
    000c call_id   : 00000006
000010 smb_io_rpc_hdr_resp rpc_hdr_resp
    0010 alloc_hint: 00000004
    0014 context_id: 0000
    0016 cancel_ct : 00
    0017 reserved  : 00
rpc_api_pipe: len left: 0 smbtrans read: 28
rpc_api_pipe: fragment first and last both set
000018 spoolss_io_r_addprinterdriver
    0018 status: WERR_OK
Printer Driver RICOHAficio700PS successfully installed.
rpcclient $>quit

=======================================
But afterwards...
=======================================
# ls
2  RINH7PS5.NTF  RNH7km.INI    RNH7PS.DLL    TICMD.EXE   TISHMEM.DLL
3  RNH7Help.HLP  RNH7kmUI.DLL  TIBase64.DLL  TIFmtA.DLL  TrackID.DLL
# ls 2
RICNH703.PPD  RINH7PS5.DLL  RINH7PSU.DLL  RINH7PSU.HLP


rpcclient $> enumdrivers 3

[Windows NT x86]
Printer Driver Info 3:
        Version: [2]
        Driver Name: [RICOHAficio700PS]
        Architecture: [Windows NT x86]
        Driver Path: [\\linbeta\print$\W32X86\2\RINH7PS5.DLL]
        Datafile: [\\linbeta\print$\W32X86\2\RICNH703.PPD]
        Configfile: [\\linbeta\print$\W32X86\2\RINH7PSU.DLL]
        Helpfile: [\\linbeta\print$\W32X86\2\RINH7PSU.HLP]


        Monitorname: []
        Defaultdatatype: [RAW]


[Windows NT x86]
Printer Driver Info 3:
        Version: [2]
        Driver Name: [RICOHAficio700PS]
        Architecture: [Windows NT x86]
        Driver Path: [\\linbeta\print$\W32X86\2\RINH7PS5.DLL]
        Datafile: [\\linbeta\print$\W32X86\2\RICNH703.PPD]
        Configfile: [\\linbeta\print$\W32X86\2\RINH7PSU.DLL]
        Helpfile: [\\linbeta\print$\W32X86\2\RINH7PSU.HLP]


        Monitorname: []
        Defaultdatatype: [RAW]



If a client attempts to download and use this driver, they will die cruel 
horrible deaths (spontanous reboot on my PC).  What additional information 
would be helpful?
Comment 1 Daniel Jarboe 2003-10-10 08:33:53 UTC
Created attachment 193 [details]
cmd_spoolss.c:init_drv_info_3_members bugfix

Looks to me like a bug in rpcclient/cmd_spoolss.c:init_drv_info_3_members.

for (i=0; i<len; i++)
{
     info->dependentfiles[i] = SSVAL(&info->dependentfiles[i], 0,str2[i]);
}

This code is in the 2.2 and 3 branches.  On s390, this loop replaces each
character converted to uint16 with 0.  The assignment to
info->dependentfiles[i] just looks wrong, and removing it has fixed my problem
on s390.  The new version is still building on an old intel box, so haven't
tested that yet but I don't see how it would break anything... patch attached.
Comment 2 Daniel Jarboe 2003-10-13 08:18:41 UTC
Just wanted to confirm that taking out the assignment
i.e. using SSVAL(&info->dependentfiles[i], 0,str2[i])
instead of info->dependentfiles[i] = SSVAL(&info->dependentfiles[i], 0,str2[i]);

didn't break intel.  So rpcclient adddriver continues to work on intel with or 
without the patch, and on s390 only with the patch.

Please include the patch with 3.0.1.

Thanks,
~ Daniel
Comment 3 Daniel Jarboe 2003-10-22 14:02:27 UTC
Jeremy put fix in CVS (Samba_3_0 and HEAD) ...
Comment 4 Tim Potter 2003-11-06 10:06:18 UTC
Reporter implies problem is fixed.
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:05:14 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:22:27 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:26:24 UTC
database cleanup